Bug 1307052 - [docs] fix Edge Load Balancer manual to reflect SDN changes in 3.1.1
[docs] fix Edge Load Balancer manual to reflect SDN changes in 3.1.1
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: brice
Ma xiaoqiang
Vikram Goyal
https://access.redhat.com/documentati...
:
Depends On:
Blocks: 1267746
  Show dependency treegraph
 
Reported: 2016-02-12 10:01 EST by Evgheni Dereveanchin
Modified: 2016-07-03 20:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-18 04:32:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgheni Dereveanchin 2016-02-12 10:01:55 EST
Document URL: 
 https://access.redhat.com/documentation/en/openshift-enterprise/3.1/installation-and-configuration/chapter-16-routing-from-edge-load-balancers

Section Number and Name: 
 16.3. ESTABLISHING A TUNNEL USING A RAMP NODE
  On the ramp node:
   6. Modify the OVS rules for SNAT:

Describe the issue: 
 In 3.1.1 multitentant and flat SDN plugins were merged, yet documentation still says setting one of these modes during configuration which may result in wrong set of OVS flows being generated on the Ramp node.

Suggestions for improvement: 
 Update list of commands to match the current SDN implementation
Additional information: 
 upstream docs have the same issue
  https://docs.openshift.com/enterprise/3.1/install_config/routing_from_edge_lb.html
Comment 2 Timothy 2016-03-31 01:22:09 EDT
Evgheni,

Looking at this: 

https://docs.openshift.com/enterprise/3.1/install_config/routing_from_edge_lb.html#establishing-a-tunnel-using-a-ramp-node

As I understand it, step 6 "Modify the OVS rules for SNAT" is what needs the update (from the topic linked above), but I'm not sure what that update should be. 

Could you please provide the required update? The priority/severity of this BZ has been escalated to urgent.
Comment 3 Evgheni Dereveanchin 2016-03-31 02:36:12 EDT
In short, before there were two plugins, "sdn" and "multitentant" - so there were specific OVS rules needed only for the "multitentant" plugin. In 3.1.1.6 plugins were merged, so even what was "sdn" now requires all the rules to be in place.

For users who had "sdn" defined that would break the Ramp node as these now required rules would be missing.
Comment 5 Josep 'Pep' Turro Mauri 2016-05-18 04:32:22 EDT
Relevant updates to that section of the documentation were already implemented:

  https://github.com/openshift/openshift-docs/pull/1934
  https://github.com/openshift/openshift-docs/pull/1781

There's one minor additional clean up to complete 1934:

  https://github.com/openshift/openshift-docs/pull/2117

but other than that I believe this has already been addressed, so I'm closing it as currentrelease.
Comment 6 Vikram Goyal 2016-05-18 06:43:23 EDT
Thanks Pep. 

The final updated docs with the changes can be seen here [1].

[1] https://docs.openshift.com/enterprise/3.2/install_config/routing_from_edge_lb.html

Note You need to log in before you can comment on or make changes to this bug.